CREATE TABLE ff_func_context_usages (
    FUNCTION_ID              NUMBER(18, 0) ,
    CONTEXT_ID               NUMBER(18, 0)     NOT NULL,
    SEQUENCE_NUMBER          NUMBER(2, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    FUNCTION_ID              NUMBER(18, 0) ,
    CONTEXT_ID               NUMBER(18, 0)     NOT NULL,
    SEQUENCE_NUMBER          NUMBER(2, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ff_func_context_usages PRIMARY KEY (FUNCTION_ID, SEQUENCE_NUMBER, FUNCTION_ID, SEQUENCE_NUMBER)
);
